<?php
 
 
 

namespace PhpWA\Protocol\Proto\UserPassword;

use UnexpectedValueException;




class Transformer
{
    


    const NONE = 0;
    


    const PBKDF2_HMAC_SHA512 = 1;
    


    const PBKDF2_HMAC_SHA384 = 2;

    private static $valueToName = [
        self::NONE => 'NONE',
        self::PBKDF2_HMAC_SHA512 => 'PBKDF2_HMAC_SHA512',
        self::PBKDF2_HMAC_SHA384 => 'PBKDF2_HMAC_SHA384',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

